CREATE TABLE fos_callback_int (
    INTERFACE_ROW_ID             NUMBER(18, 0) ,
    SOURCE_DOCUMENT_REFERENCE    NUMBER(18, 0)     NOT NULL,
    IMPORT_DATE                  DATE              NOT NULL,
    DOCUMENT_HEADER_NUMBER       VARCHAR2(400) ,
    DOCUMENT_HEADER_ID           NUMBER(18, 0) ,
    DOCUMENT_LINE_NUMBER         VARCHAR2(400) ,
    DOCUMENT_LINE_ID             NUMBER(18, 0) ,
    DOCUMENT_LINE_DETAIL         VARCHAR2(400) ,
    DOCUMENT_LINE_DETAIL_ID      NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    REQUEST_ID                   NUMBER(18, 0) ,
    JOB_DEFINITION_NAME          VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE       VARCHAR2(3600),
    BATCH_ID                     NUMBER(18, 0) ,
    PROCESSED_FLAG               VARCHAR2(4)       NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    INTERFACE_ROW_ID             NUMBER(18, 0) ,
    SOURCE_DOCUMENT_REFERENCE    NUMBER(18, 0)     NOT NULL,
    IMPORT_DATE                  DATE              NOT NULL,
    DOCUMENT_HEADER_NUMBER       VARCHAR2(400) ,
    DOCUMENT_HEADER_ID           NUMBER(18, 0) ,
    DOCUMENT_LINE_NUMBER         VARCHAR2(400) ,
    DOCUMENT_LINE_ID             NUMBER(18, 0) ,
    DOCUMENT_LINE_DETAIL         VARCHAR2(400) ,
    DOCUMENT_LINE_DETAIL_ID      NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    REQUEST_ID                   NUMBER(18, 0) ,
    JOB_DEFINITION_NAME          VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE       VARCHAR2(3600),
    BATCH_ID                     NUMBER(18, 0) ,
    PROCESSED_FLAG               VARCHAR2(4)       NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    CONSTRAINT pk_fos_callback_int PRIMARY KEY (INTERFACE_ROW_ID, INTERFACE_ROW_ID)
);
